%define xsessiondir %{_datadir}/xsessions

Summary: Utilities for the XFce Desktop Environment
Name: xfce-utils
Version: 4.0.5
Release: 1
License: GPL
URL: http://www.xfce.org/
Source0: http://www.xfce.org/archive/xfce-4.0.1/src/%{name}-%{version}.tar.gz
Patch0: xfce4-4.0.3-amd64.patch
Source1: xfce.desktop
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-root
Requires: libxfcegui4 >= 4.0.5
Requires: libxfce4mcs >= 4.0.5
Requires: xfce-mcs-manager
BuildRequires: libxfcegui4-devel >= 4.0.5
BuildRequires: libxfce4mcs-devel >= 4.0.5
BuildRequires: xfce-mcs-manager-devel

%description
This package includes utilities for the XFce Desktop Environment

%prep
%setup -q

%build
%configure --enable-gdm

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{xsessiondir}

install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{xsessiondir}/
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/X11

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO ChangeLog NEWS INSTALL COPYING AUTHORS
%config(noreplace) %{_sysconfdir}/xfce4/xinitrc
%{_bindir}/*
%{_libdir}/xfce4/mcs-plugins/*
%{_datadir}/apps/switchdesk/*
%{_datadir}/locale/*/*/*
%{_datadir}/xfce4
%{xsessiondir}/*

%changelog
* Thu Apr 15 2004 Than Ngo <than@redhat.com> 4.0.5-1
- update to 4.0.5

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Than Ngo <than@redhat.com> 4.0.3-2
- fixed dependant libraries check on x86_64

* Tue Jan 13 2004 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3 release

* Thu Dec 25 2003 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2 release

* Tue Dec 16 2003 Than Ngo <than@redhat.com> 4.0.1-1
- initial build

